import { html as a } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, g = Object.getOwnPropertyDescriptor, c = (p, t, l, r) => {
  for (var e = r > 1 ? void 0 : r ? g(t, l) : t, s = p.length - 1, o; s >= 0; s--)
    (o = p[s]) && (e = (r ? o(t, l, e) : o(e)) || e);
  return r && e && m(t, l, e), e;
};
let i = class extends f {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--stopCircleFilled", this.class = "c-pieIcon c-pieIcon--stopCircleFilled", this.name = "IconStopCircleFilled";
  }
  render() {
    return a`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" class="c-pieIcon c-pieIcon--stopCircleFilled"><g clip-path="url(#prefix__a)"><path d="M12.79 3.21a6.775 6.775 0 0 0-8.56-.85c-1.12.74-1.98 1.8-2.5 3.04-.51 1.24-.65 2.6-.39 3.92s.91 2.52 1.86 3.47a6.86 6.86 0 0 0 3.47 1.86c1.32.26 2.68.13 3.92-.39 1.24-.51 2.3-1.38 3.04-2.5a6.775 6.775 0 0 0-.85-8.56zM11 9.92c0 .6-.48 1.08-1.08 1.08H6.08C5.48 11 5 10.52 5 9.92V6.08C5 5.48 5.48 5 6.08 5h3.84c.6 0 1.08.48 1.08 1.08z"></path></g></svg>`;
  }
};
c([
  n({ type: String, reflect: !0 })
], i.prototype, "size", 2);
c([
  n({ type: String, reflect: !0 })
], i.prototype, "class", 2);
i = c([
  h("icon-stop-circle-filled")
], i);
export {
  i as IconStopCircleFilled
};
